org.apache.felix.ipojo.composite.service.provides

## Class FieldMetadata

- java.lang.Object
- - org.apache.felix.ipojo.composite.service.provides.FieldMetadata

    public class FieldMetadata
    extends java.lang.Object

Field used inside a composition. This class contains all information useful for the generation.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`FieldMetadata(SpecificationMetadata specification)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`SpecificationMetadata` `getSpecification()`
`boolean` `isAggregate()`
`boolean` `isOptional()`
`boolean` `isUseful()`
`void` `setAggregate(boolean aggregate)`
`void` `setName(java.lang.String name)`
`void` `setOptional(boolean opt)`
`void` `setSpecification(SpecificationMetadata specification)`
`void` `setUseful(boolean useful)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldMetadata

    public FieldMetadata(SpecificationMetadata specification)

Constructor.

Parameters:
  `specification` - : interface of the field.

### Method Detail

#### isAggregate

    public boolean isAggregate()

#### setAggregate

    public void setAggregate(boolean aggregate)

#### getName

    public java.lang.String getName()

#### setName

    public void setName(java.lang.String name)

#### getSpecification

    public SpecificationMetadata getSpecification()

#### setSpecification

    public void setSpecification(SpecificationMetadata specification)

#### isUseful

    public boolean isUseful()

#### setUseful

    public void setUseful(boolean useful)

#### isOptional

    public boolean isOptional()

#### setOptional

    public void setOptional(boolean opt)